> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# downloadDocument

> The `downloadDocument` API is used to download a document that has been uploaded to the Rollfi system





## OpenAPI

````yaml get /adminPortal#downloadDocument
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal#downloadDocument:
    get:
      tags: []
      summary: downloadDocument
      description: >+
        The `downloadDocument` API is used to download a document that has been
        uploaded to the Rollfi system

      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                documentId:
                  type: string
              required:
                - method
                - documentId
            example:
              method: downloadDocument
              documentId: 24A9F639-689C-4E7D-80CB-14AD3A608B21
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  documentId:
                    type: string
                  companyId:
                    type: string
                  employeeId:
                    type: string
                    nullable: true
                  payPeriodId:
                    type: string
                    nullable: true
                  fileName:
                    type: string
                  documentType:
                    type: string
                  fileBase64:
                    type: string
                  downloadCount:
                    type: integer
                required:
                  - documentId
                  - companyId
                  - fileName
                  - documentType
                  - fileBase64
                  - downloadCount
              example:
                documentId: 24A9F639-689C-4E7D-80CB-14AD3A608B21
                companyId: 6FFBAEFF-020F-4F63-A140-0348BD0F0FCB
                employeeId: 161978BD-C696-495A-87DC-226B9D0D5A3B
                payPeriodId: null
                fileName: sample-document.pdf
                documentType: Team Documents
                fileBase64: >-
                  JVeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovUGFnZXMgMiAwIFIKPj4KZW5kb2JqCjIgMCBvYmoKPDwKL1R5cGUgL1BhZ2sssVzCi9LaWRzIFszIDAgUl0KL0NvdW50IDEKPD4KZW5kb2JqCjMgMCBvYmoKPDwKL1R5cGUgL1BhZ2UKL1BhcmVudCAyIDAgUgovTWVkaWFCb3ggWzAgMCA2MTIgNzkyXQovUmVzb3VyY2VzIDw8ChegHl80UERGIC9UZXh0IC9JbWFnZUIgL0ltYWdlQyAvSW1hZ2VJXQo+PgovQ29udGVudHMgNCAwIFIKPj4KZW5kb2JqCjQgMCBvYmoKPDwKL0xlbmd0aCA0NAo+PgpzdHJlYW0KQlQKL0YxIDEyIFRmCjcyIDcyMCBUZAooSGVsbG8gV29ybGQpIFRqCkVUCmVuZHN0cmVhbQplbmRvYmoKeHJlZHwgHllLMha6Gh9DAwMCA2NTUzNSBmIAowMDAwMDAwMDA5IDAwMDAwIG4gCjAwMDAwMDAwNTggMDAwMDAgbiAKMAowMDAwMDAwMjQ1IDAwMDAwIG4gCnRyYWlsZXIKPDwKL1NpemUgNQovUm9vdCAxIDAgUgo+PgpzdGFydHhyZWYKMzM4CiUlRU9G
                downloadCount: 1
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: documentId is required
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````